export interface PreparedFlowie {
    readonly flows: Flows;
    readonly name?: string;
}
export declare type Flows = readonly FlowElement[];
export declare type FlowElement = PipeFlow | SplitFlow | PreparedFlowie;
export interface PipeFlow {
    readonly pipe: FlowieItemDeclaration;
    readonly name?: string;
}
export interface SplitFlow {
    readonly split: readonly FlowieItemDeclaration[];
    readonly name?: string;
}
export declare type FlowieItemDeclaration = string | FlowElement;
export interface PreparedFlowieExecution extends PreparedFlowie {
    readonly isAsync: boolean;
    readonly allFunctionsNames: ReadonlySet<string>;
}
