"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const createFlowieContainer_1 = require("../container/createFlowieContainer");
const buildFlowDeclaration_1 = __importDefault(require("../declaration/buildFlowDeclaration"));
const createFlowieRuntime_1 = __importStar(require("./createFlowieRuntime"));
exports.flowie = createFlowie;
exports.default = exports.flowie;
function createFlowie(...flowItemsList) {
    const [flowieContainer, preparedFlowieCandidate] = flowItemsList;
    if (createFlowieContainer_1.isFlowieContainer(flowieContainer)) {
        const flowDeclaration = buildFlowDeclaration_1.default(preparedFlowieCandidate, flowieContainer);
        return createFlowieRuntime_1.default(flowieContainer, flowDeclaration);
    }
    return createFlowieRuntime_1.createFlowieFromItems(flowItemsList);
}
//# sourceMappingURL=createFlowie.js.map