"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const asyncFunctionsStringTag = ['AsyncFunction', 'AsyncGeneratorFunction'];
const generatorFunctionsStringTag = ['GeneratorFunction', 'AsyncGeneratorFunction'];
function isAsyncFunction(functionCandidate) {
    return asyncFunctionsStringTag.includes(functionCandidate[Symbol.toStringTag]);
}
exports.isAsyncFunction = isAsyncFunction;
function isGeneratorFunction(functionCandidate) {
    return generatorFunctionsStringTag.includes(functionCandidate[Symbol.toStringTag]);
}
exports.isGeneratorFunction = isGeneratorFunction;
exports.default = Function;
//# sourceMappingURL=functionConstructors.js.map