import { HRTime, FunctionReport, GeneratorReport, FlowFunctionsResultList } from '../reporter/reporter.types';
declare const flowieResult: CreateFlowieResult;
export interface CreateFlowieResult {
    readonly success: <ResultType = null>(lastResult: ResultType, startHRTime: HRTime, functions: readonly (FunctionReport | GeneratorReport)[]) => FlowResult<ResultType>;
}
export interface FlowResult<Result> {
    readonly success: boolean;
    readonly error?: Error;
    readonly lastResult: Result;
    readonly executionTime: number;
    readonly functions: FlowFunctionsResultList;
}
export default flowieResult;
