import { FlowieContainer } from '../container/createFlowieContainer';
import { PreparedFlowieManager } from '../declaration/createFlowDeclarationManager';
import { Flowie } from '../runtime.types';
export declare function signAsFlowieFunction<T>(executeFlowFunction: T, flowieContainer: FlowieContainer, preparedFlowieManager: PreparedFlowieManager): T;
export declare function isSignedAsFlowieFunction(flowFunction: Function): boolean;
export declare function getFlowieContainer(flowFunction: Flowie<unknown, unknown>): FlowieContainer;
export declare function getFlowieDeclarationManager(flowFunction: Flowie<unknown, unknown>): PreparedFlowieManager;
